### Signal

# WebKit2WebExtension WebPage::form-controls-associated-for-frame

since: 2.26

#### Declaration

    void
    form_controls_associated_for_frame (
      WebKitWebPage* self,
      WebKitDOMElement** elements,
      WebKitFrame* frame,
      gpointer user_data
    )

#### Description [src]

Emitted after form elements (or form associated elements) are associated to a particular web page. This is useful to implement form auto filling for web pages where form fields are added dynamically. This signal might be emitted multiple times for the same web page.

Note that this signal could be also emitted when form controls are moved between forms. In that case, the `elements` array carries the list of those elements which have moved.

Clients should take a reference to the members of the `elements` array if it is desired to keep them alive after the signal handler returns.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.26

#### Parameters

`elements`

  Type: An array of `WebKitDOMElement*`

  A `GPtrArray` of `WebKitDOMElement` with the list of forms in the page.

  The data is owned by the caller of the function.

`frame`

  Type: `WebKitFrame`

  The `WebKitFrame`.

  The data is owned by the caller of the function.